PostAppNewsDialog (gCube News Poster Widget 1.5.0-3.6.0 API)
Date: 2015-03-02

org.gcube.portlets.widgets.applicationnews.client

## Class PostAppNewsDialog

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.widgets.applicationnews.client.PostAppNewsDialog

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public class PostAppNewsDialog
      extends com.google.gwt.user.client.ui.Composite

  Author:
    Massimiliano Assante, ISTI-CNR use to share updates from within your application, the update will be published in the Users News Feed belonging to the VRE your applicationProfile runs into

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostAppNewsDialog(String portletClassName, String textToShow)`
    `PostAppNewsDialog(String portletClassName, String textToShow, String uriGETparams)`
    `PostAppNewsDialog(String portletClassName, String textToShow, String uriGETparams, LinkPreview linkPreview)`

  - ### Method Summary

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PostAppNewsDialog

          public PostAppNewsDialog(String portletClassName,
                           String textToShow,
                           String uriGETparams,
                           LinkPreview linkPreview)

      Parameters:
        `portletClassName` - your servlet class name will be used ad unique identifier for your applicationProfile
        `textToShow` - description for the update you are sharing
        `uriGETparams` - additional parameters if your application supports the direct opening of of this update's object e.g. id=12345&type=foo
        `linkPreview` - the linkPreview object

    - #### PostAppNewsDialog

          public PostAppNewsDialog(String portletClassName,
                           String textToShow,
                           String uriGETparams)

      Parameters:
        `portletClassName` - your servlet class name will be used ad unique identifier for your applicationProfile
        `textToShow` - description for the update you are sharing
        `uriGETparams` - additional parameters if your application supports the direct opening of of this update's object e.g. id=12345&type=foo

    - #### PostAppNewsDialog

          public PostAppNewsDialog(String portletClassName,
                           String textToShow)

      Parameters:
        `portletClassName` - your servlet class name will be used ad unique identifier for your applicationProfile
        `textToShow` - description for the update you are sharing

Copyright © 2015. All Rights Reserved.